varying vec3 hatchWeight1;	// weight for hatch tecture unit 0, 1, 2
varying vec3 hatchWeight2;  // weight for hatch texture unit 3, 4, 5
varying vec2 texCoord;

uniform sampler2D hatch0;
uniform sampler2D hatch1;
uniform sampler2D hatch2;
uniform sampler2D hatch3;
uniform sampler2D hatch4;
uniform sampler2D hatch5;

void main(void)
{
//	vec2 texCoord = gl_TexCoord[0].xy;

	vec4 color =	texture2D(hatch0, texCoord) * hatchWeight1.x;
	color +=		texture2D(hatch1, texCoord) * hatchWeight1.y;
	color +=		texture2D(hatch2, texCoord) * hatchWeight1.z;
	color +=		texture2D(hatch3, texCoord) * hatchWeight2.x;
	color +=		texture2D(hatch4, texCoord) * hatchWeight2.y;
	color +=		texture2D(hatch5, texCoord) * hatchWeight2.z;

	color.a = 1.0;

	gl_FragColor = color;
}