typedef GLfloat vector3[3];			// Three component floating point vector

void v_subtractVectors(const vector3 vFirst, const vector3 vSecond, vector3 vResult);
GLfloat v_dotProduct(const vector3 vU, const vector3 vV);
GLfloat v_getVectorLength(const vector3 v);
void v_normalize(vector3 v);
void v_scaleVector(vector3 v, const GLfloat scale);
GLfloat v_getVectorLengthSqrd(const vector3 v);
void v_getNormal(const vector3 vP1, const vector3 vP2, const vector3 vP3, vector3 vNormal);
void v_crossProduct(const vector3 vU, const vector3 vV, vector3 vResult);
float v_distance(const vector3 v1, const vector3 v2);