/**
*	main.h
*	CS 6610 - Advanced Computer Graphics I
*	Zach Gildersleeve
*	Nov. 20, 2006
*	
*	Main header file, contains includes, constants, and function declarations.
*/

#include "./include/stdafx.h"
#include "./include/texture.h"

void myGlutIdle(void);
void myGlutMouse(int button, int state, int x, int y);
void myGlutMotion(int x, int y);
void myGlutReshape(int x, int y);
void processArrowKeys(int key, int x, int y);
const GLcharARB* loadSource(const char* filename);
void createShaders();
GLvoid Init(GLvoid);
GLvoid drawObjects(int drawMode);
GLvoid setUniformVars(GLvoid);
GLvoid drawFullsizeQuad(GLvoid);
void Display(void);

const GLint WINDOW_WIDTH	= 512;	// the window width
const GLint WINDOW_HEIGHT	= 512;	// the window height

const GLfloat GL_PI			= 3.141592654;
const GLfloat TWOPI			= 6.283185307;
const GLfloat PID2			= 1.570796327;
